Subject: [Sipping] reg : sip, to propose new method and header fields

From: "Robins George" <[email-masked]>
Date: Wed, 31 Oct 2007 14:37:33 +0530

hi all,
whom do we approach if we do get some ideas to enhance sip (RFC 3261) by
introducing some new header fields and method.

Could you please tell me how can i proceed with this..

thanks in advance

robins
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: <[email-masked]>
Date: Wed, 31 Oct 2007 15:20:41 +0530

Robins,
 
The RFC4485 might help you.... 
 
Thanks, 
Nataraju A B 
 
rfc4485 - Guidelines for Authors of Extensions to SIP

________________________________

From: Robins George [mailto:[email-masked]] 
Sent: Wednesday, October 31, 2007 2:38 PM
To: [email-masked]
Subject: [Sipping] reg : sip, to propose new method and header fields

hi all,

thanks in advance

robins

---

From: "Mary Barnes" <[email-masked]>
Date: Wed, 31 Oct 2007 11:11:24 -0500

And, specifically, you really want to look at section 3 of RFC 4485 to
determine if SIP is the right protocol for the problem you're solving
and whether new methods or header fields are even needed.  Typically,
the first step towards adding extensions to SIP involves providing a
general description of the problem you need to solve, along with a
summary of requirements, to the SIPPING WG for discussion.  It's not
unreasonable to have a strawman solution proposed at that point in time,
but it's typically not going to be the focus for initial discussions.
And, it's generally problematic to start a discussion with a proposed
solution as it is then far more tedious for the WG to tease out the real
problem being solved and the real requirements.
 
Regards,
Mary
SIPPING WG co-chair

From: [email-masked]
[mailto:[email-masked]] 
Sent: Wednesday, October 31, 2007 4:51 AM
To: [email-masked]; [email-masked]
Subject: RE: [Sipping] reg : sip, to propose new method and header
fields

Robins,

Thanks, 
Nataraju A B 

hi all,

thanks in advance

robins